/* REXX SCRIPT TO CREATE SOME TM2LABO PROGRAM ICONS */
if RxFuncQuery('SysLoadFuncs') then do
   call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
   call SysLoadFuncs
end

say "Creating PM Program objects..."

dir = directory() || '\'
dirpm = directory() || '\'
dirdll = directory() || '\'
dirvio = directory() || '\'

call SysCreateObject "WPFolder", "WPS Left!", "<WP_DESKTOP>", "OBJECTID=<FDR_TM2LABO_WPSLEFT>;OPEN=ICON;ICONVIEWPOS=45,70,50,25;ALWAYSSORT=YES;ICONRESOURCE=1," || dirdll || "WLVT2DLL.DLL;ICONNRESOURCE=1,2," || dirdll || "WLVT2DLL.DLL;", "REPLACE"
call SysCreateObject "WPProgram", "WPS Left!", "<FDR_TM2LABO_WPSLEFT>", "EXENAME=" || dirpm || "WPSLEFT.EXE;OBJECTID=<PRG_TM2LABO_WPSLEFTPM>;STARTUPDIR=" || dirpm || ";","REPLACE"
call SysCreateObject "WPProgram", "WPS Left! 100", "<FDR_TM2LABO_WPSLEFT>", "EXENAME=" || dirpm || "WPSLEFT.EXE;PARAMETERS=/SIZE:100;OBJECTID=<PRG_TM2LABO_WPSLEFTPM_S100>;STARTUPDIR=" || dirpm || ";","REPLACE"
call SysCreateObject "WPProgram", "WPS Left! 200", "<FDR_TM2LABO_WPSLEFT>", "EXENAME=" || dirpm || "WPSLEFT.EXE;PARAMETERS=/SIZE:200;OBJECTID=<PRG_TM2LABO_WPSLEFTPM_S200>;STARTUPDIR=" || dirpm || ";","REPLACE"
call SysCreateObject "WPProgram", "WPS Restore", "<FDR_TM2LABO_WPSLEFT>", "EXENAME=" || dirpm || "WPSLEFT.EXE;PARAMETERS=/RESTORE;OBJECTID=<PRG_TM2LABO_WPSLEFTPM_RESTORE>;ICONRESOURCE=31," || dirdll || "WLVT2DLL.DLL;STARTUPDIR=" || dirpm || ";","REPLACE"

call SysCreateObject "WPFolder", "Help", "<FDR_TM2LABO_WPSLEFT>", "OBJECTID=<FDR_TM2LABO_WPSLEFTHELP>;ICONVIEWPOS=45,70,50,25;ALWAYSSORT=YES;ICONRESOURCE=5," || dirdll || "WLVT2DLL.DLL;ICONNRESOURCE=1,6," || dirdll || "WLVT2DLL.DLL", "REPLACE"
call SysCreateObject "WPProgram", "Readme(Jpn)", "<FDR_TM2LABO_WPSLEFTHELP>", "EXENAME=E.EXE;PARAMETERS=README.JPN;OBJECTID=<PRG_TM2LABO_WPSLEFT_READMEJPN_TXT>;STARTUPDIR=" || dir || ";","REPLACE"
call SysCreateObject "WPProgram", "Readme(Eng)", "<FDR_TM2LABO_WPSLEFTHELP>", "EXENAME=E.EXE;PARAMETERS=README.ENG;OBJECTID=<PRG_TM2LABO_WPSLEFT_READMEENG_TXT>;STARTUPDIR=" || dir || ";","REPLACE"
call SysCreateObject "WPUrl", "TM2Labo", "<FDR_TM2LABO_WPSLEFTHELP>", "OBJECTID=<URL_TM2LABO_WPSLEFT_SUPPORT>;LOCATOR=http://www7.big.or.jp/~os2warp/;","REPLACE"

say "Completed."

